Bug 880863 - Review Request: totpcgi - A centralized totp solution based on google-authenticator
Review Request: totpcgi - A centralized totp solution based on google-authent...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 18:19 EST by Konstantin Ryabitsev
Modified: 2012-12-11 23:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-05 16:25:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2012-11-27 18:19:05 EST
Spec URL: http://fedorapeople.org/~icon/f/totpcgi.spec
SRPM URL: http://fedorapeople.org/~icon/f/totpcgi-0.5.3-1.fc17.src.rpm
Description: 
A CGI/FCGI application to centralize google-authenticator deployments.
Fedora Account System Username: icon
Comment 1 Nick Bebout 2012-11-27 18:20:41 EST
I will review this (we are at the Infrastructure Security FAD)
Comment 2 Nick Bebout 2012-11-28 10:34:54 EST
totpcgi.spec:12: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 12)

Please add a BR: python2-devel or python3-devel
See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

[!]: Spec use %global instead of %define.
     Note: %define totpcgiuser totpcgi %define totpcgiprovuser totpcgiprov
     %define fixfiles_dirs %{_localstatedir}/www/totpcgi %{_localstatedir}/www
     /totpcgi-provisioning %{_localstatedir}/lib/totpcgi
     %{_sysconfdir}/totpcgi
Comment 4 Nick Bebout 2012-11-28 11:23:00 EST
This package is now APPROVED.
Comment 5 Konstantin Ryabitsev 2012-11-28 11:26:19 EST
New Package SCM Request
=======================
Package Name: totpcgi
Short Description: A centralized totp solution based on google-authenticator
Owners: icon
Branches: f17 f18 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-11-28 11:27:26 EST
Git done (by process-git-requests).
Comment 7 Konstantin Ryabitsev 2012-11-28 11:33:44 EST
Terrific, thanks!
Comment 8 Fedora Update System 2012-11-28 15:10:18 EST
totpcgi-0.5.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/totpcgi-0.5.3-2.el6
Comment 9 Fedora Update System 2012-11-28 15:10:32 EST
totpcgi-0.5.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/totpcgi-0.5.3-2.fc17
Comment 10 Fedora Update System 2012-11-29 01:09:43 EST
totpcgi-0.5.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-12-03 13:30:40 EST
totpcgi-0.5.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/totpcgi-0.5.4-1.fc17
Comment 12 Fedora Update System 2012-12-03 13:30:51 EST
totpcgi-0.5.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/totpcgi-0.5.4-1.el6
Comment 13 Fedora Update System 2012-12-05 16:25:13 EST
totpcgi-0.5.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-12-11 23:32:55 EST
totpcgi-0.5.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.